using PlcSiemens.O;

namespace PlcSiemens.Protocol.Negotiate
{
    public class NegotiateResponseParams
    {
        public byte FunNegotiate { get; set; }
        public byte Unknown { get; set; }
        public ushort ParallelJobs1 { get; set; }
        public ushort ParallelJobs2 { get; set; }
        public ushort PduLength { get; set; }

        public void Build(ByteBuffer buffer)
        {
            FunNegotiate = buffer.PopByte();
            Unknown = buffer.PopByte();
            ParallelJobs1 = buffer.PopUshort();
            ParallelJobs2 = buffer.PopUshort();
            PduLength = buffer.PopUshort();
        }
    }
}
